summaryrefslogtreecommitdiff
path: root/scripts/checkmail
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/checkmail')
-rwxr-xr-xscripts/checkmail8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/checkmail b/scripts/checkmail
new file mode 100755
index 0000000..64abbe6
--- /dev/null
+++ b/scripts/checkmail
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ $# -lt 1 ] && echo "error: invalid usage: requires an email as an argument" && exit 1
+
+mail_address="$1"
+mail_dir="$XDG_DATA_HOME/mail/$mail_address/INBOX/new"
+
+echo "$(ls $mail_dir | wc -l) "